Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
amazon
/
product_competitors
/
live
Product Competitors
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/amazon/product_competitors/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "asin": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "limit": 123,
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "offset": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.asin": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.se_type": "<string>",
  "tasks.result.items.asin": "<string>",
  "tasks.result.items.avg_position": 123,
  "tasks.result.items.sum_position": 123,
  "tasks.result.items.intersections": 123,
  "tasks.result.items.competitor_metrics": {},
  "tasks.result.items.competitor_metrics.amazon_serp": {},
  "tasks.result.items.competitor_metrics.amazon_serp.pos_1": 123,
  "tasks.result.items.competitor_metrics.amazon_serp.pos_2_3": 123,
  "tasks.result.items.competitor_metrics.amazon_serp.pos_4_10": 123,
  "tasks.result.items.competitor_metrics.amazon_serp.pos_11_100": 123,
  "tasks.result.items.competitor_metrics.amazon_serp.count": 123,
  "tasks.result.items.competitor_metrics.amazon_serp.search_volume": 123,
  "tasks.result.items.competitor_metrics.amazon_paid": {},
  "tasks.result.items.competitor_metrics.amazon_paid.pos_1": 123,
  "tasks.result.items.competitor_metrics.amazon_paid.pos_2_3": 123,
  "tasks.result.items.competitor_metrics.amazon_paid.pos_4_10": 123,
  "tasks.result.items.competitor_metrics.amazon_paid.pos_11_100": 123,
  "tasks.result.items.competitor_metrics.amazon_paid.count": 123,
  "tasks.result.items.competitor_metrics.amazon_paid.search_volume": 123,
  "tasks.result.items.full_metrics": {},
  "tasks.result.items.full_metrics.amazon_serp": {},
  "tasks.result.items.full_metrics.amazon_serp.pos_1": 123,
  "tasks.result.items.full_metrics.amazon_serp.pos_2_3": 123,
  "tasks.result.items.full_metrics.amazon_serp.pos_4_10": 123,
  "tasks.result.items.full_metrics.amazon_serp.pos_11_100": 123,
  "tasks.result.items.full_metrics.amazon_serp.count": 123,
  "tasks.result.items.full_metrics.amazon_serp.search_volume": 123,
  "tasks.result.items.full_metrics.amazon_paid": {},
  "tasks.result.items.full_metrics.amazon_paid.pos_1": 123,
  "tasks.result.items.full_metrics.amazon_paid.pos_2_3": 123,
  "tasks.result.items.full_metrics.amazon_paid.pos_4_10": 123,
  "tasks.result.items.full_metrics.amazon_paid.pos_11_100": 123,
  "tasks.result.items.full_metrics.amazon_paid.count": 123,
  "tasks.result.items.full_metrics.amazon_paid.search_volume": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
asin
string
required

product ID required field unique product identifier (ASIN) on Amazon; you can receive the asin parameter by making a separate request to the Amazon Products endpoint

location_name
string
required

full name of the location required field if don’t specify location_code you can receive the list of available locations with their location_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only; example: United States

location_code
integer
required

location code required field if don’t specify location_name you can receive the list of available locations with their location_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages; Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only; example: 2840

language_name
string
required

full name of the language required field if don’t specify language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: English

language_code
string
required

language code required field if don’t specify language_name you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages example: en

limit
integer

the maximum number of products in the results array optional field default value: 100; maximum value: 1000

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, , , >, >=, =, , in, not_in, ilike, not_ilike, like, not_like, match, not_match you can use the % operator with like and not_like, as well as ilike and not_ilike to match any string of zero or more characters example: ["full_metrics.amazon_serp.pos_1",">", 20] for more information about filters, please refer to Dataforseo Labs – Filters or this help center guide

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting parameter example: ["full_metrics.amazon_serp.pos_1,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["full_metrics.amazon_serp.pos_1,desc","avg_position,desc"] default rule: ["ranked_serp_element.serp_item.rank_group,asc"]

offset
integer

offset in the results array of returned product competitors optional field default value: 0 if you specify the 10 value, the first ten product competitors in the results array will be omitted and the data will be provided for the successive product competitors

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.se_type
string

search engine type

tasks.result.asin
string

ASIN in a POST array

tasks.result.location_code
integer

location code in a POST array if there is no data, then the value is null

tasks.result.language_code
string

language code in a POST array if there is no data, then the value is null

tasks.result.total_count
integer

total amount of results in our database relevant to your request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains detected Amazon product competitors and related data

tasks.result.items.se_type
string

search engine type

tasks.result.items.asin
string

ASIN of the product unique product identifier on Amazon; for more information, refer to this help center guide

tasks.result.items.avg_position
number

average position of the product in Amazon SERP Note: average position is calculated for intersected keywords only; the value for a given product may differ when combined with different target products

tasks.result.items.sum_position
integer

sum of all product positions in Amazon SERP Note: average position is calculated for intersected keywords only; the value for a given product may differ when combined with different target products

tasks.result.items.intersections
integer

number of intersecting keywords

tasks.result.items.competitor_metrics
object

metrics for intersecting keywords ranking data relevant to the keywords that the provided asin shares with the target asin; Note: in this object ranking data is provided for the returned competitor’s asin

tasks.result.items.competitor_metrics.amazon_serp
object

ranking data from Amazon organic SERP

tasks.result.items.competitor_metrics.amazon_serp.pos_1
integer

number of organic SERPs where the product ranks #1

tasks.result.items.competitor_metrics.amazon_serp.pos_2_3
integer

number of organic SERPs where the product ranks #2-3

tasks.result.items.competitor_metrics.amazon_serp.pos_4_10
integer

number of organic SERPs where the product ranks #4-10

tasks.result.items.competitor_metrics.amazon_serp.pos_11_100
integer

number of organic SERPs where the product ranks #11-100

tasks.result.items.competitor_metrics.amazon_serp.count
integer

total count of Amazon organic SERPs that contain the product

tasks.result.items.competitor_metrics.amazon_serp.search_volume
integer

total search volume of the product’s ranking keywords in organic SERP

tasks.result.items.competitor_metrics.amazon_paid
object

ranking data from Amazon paid SERP

tasks.result.items.competitor_metrics.amazon_paid.pos_1
integer

number of paid SERPs where the product ranks #1

tasks.result.items.competitor_metrics.amazon_paid.pos_2_3
integer

number of paid SERPs where the product ranks #2-3

tasks.result.items.competitor_metrics.amazon_paid.pos_4_10
integer

number of paid SERPs where the product ranks #4-10

tasks.result.items.competitor_metrics.amazon_paid.pos_11_100
integer

number of paid SERPs where the product ranks #11-100

tasks.result.items.competitor_metrics.amazon_paid.count
integer

total count of Amazon paid SERPs that contain the product

tasks.result.items.competitor_metrics.amazon_paid.search_volume
integer

total search volume of the product’s ranking keywords in paid SERP

tasks.result.items.full_metrics
object

metrics for all keywords of the product full overview of ranking data relevant to all keywords that the provided asin is ranking for

tasks.result.items.full_metrics.amazon_serp
object

ranking data from Amazon organic SERP

tasks.result.items.full_metrics.amazon_serp.pos_1
integer

number of organic SERPs where the product ranks #1

tasks.result.items.full_metrics.amazon_serp.pos_2_3
integer

number of organic SERPs where the product ranks #2-3

tasks.result.items.full_metrics.amazon_serp.pos_4_10
integer

number of organic SERPs where the product ranks #4-10

tasks.result.items.full_metrics.amazon_serp.pos_11_100
integer

number of organic SERPs where the product ranks #11-100

tasks.result.items.full_metrics.amazon_serp.count
integer

total count of Amazon organic SERPs that contain the product

tasks.result.items.full_metrics.amazon_serp.search_volume
integer

total search volume of the product’s ranking keywords in organic SERP

tasks.result.items.full_metrics.amazon_paid
object

ranking data from Amazon paid SERP

tasks.result.items.full_metrics.amazon_paid.pos_1
integer

number of paid SERPs where the product ranks #1

tasks.result.items.full_metrics.amazon_paid.pos_2_3
integer

number of paid SERPs where the product ranks #2-3

tasks.result.items.full_metrics.amazon_paid.pos_4_10
integer

number of paid SERPs where the product ranks #4-10

tasks.result.items.full_metrics.amazon_paid.pos_11_100
integer

number of paid SERPs where the product ranks #11-100

tasks.result.items.full_metrics.amazon_paid.count
integer

total count of Amazon paid SERPs that contain the product

tasks.result.items.full_metrics.amazon_paid.search_volume
integer

total search volume of the product’s ranking keywords in paid SERP